package com.inspect.exec.service;

import com.inspect.exec.domain.PatrolTaskExecRecord;

import java.util.List;

public interface IPatrolTaskExecRecordService {
    PatrolTaskExecRecord selectPatrolTaskExecRecordByTaskPatrolId(String patrolId);

    List<PatrolTaskExecRecord> selectPatrolTaskExecRecordList(PatrolTaskExecRecord record);

    int insertPatrolTaskExecRecord(PatrolTaskExecRecord record);

    int updatePatrolTaskExecRecord(PatrolTaskExecRecord record);

    int deletePatrolTaskExecRecordByTaskPatrolIds(String[] patrolIds);

    int deletePatrolTaskExecRecordByTaskPatrolId(String patrolId);

    List<PatrolTaskExecRecord> selectCameraPatrolTaskExecRecordList(String taskCode, String devNo, List<String> taskStates);

    List<PatrolTaskExecRecord> selectAbeyancePatrolTaskExecRecordList(PatrolTaskExecRecord record);

    int deletePatrolTaskExecRecordByTaskState(String taskState);
}
